## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfImplementation0< Class > Class Template Reference

Inheritance diagram for scfImplementation0< Class >:

[legend]
List of all members.

## Public Member Functions

void * | QueryInterface (scfInterfaceID id, scfInterfaceVersion version)
| Query a particular interface implemented by this object.

## Protected Types

typedef scfImplementation0< Class > | scfImplementationType

## Protected Member Functions

| scfImplementation0 (Class *object, iBase *parent=0)
virtual | ~scfImplementation0 ()

## Detailed Description

### template<class Class>
class scfImplementation0< Class >

Definition at line 9 of file scf_implgen.h.

## Member Function Documentation

template<class Class>
void* scfImplementation0< Class >::QueryInterface | ( | scfInterfaceID | id,
|  | scfInterfaceVersion | version
| ) | `[inline, virtual]`

| Query a particular interface implemented by this object. You are _not_ allowed to cast this to anything but a pointer to this interface (not even iBase). Use scfQueryInterface<interface> instead of using this method directly. Reimplemented from scfImplementation< Class >. Definition at line 14 of file scf_implgen.h.

The documentation for this class was generated from the following file:

- csutil/scf_implgen.h